import type { IPolygonMask } from "../Interfaces/IPolygonMask";
import { PolygonMaskInlineArrangement, PolygonMaskInlineArrangementAlt, PolygonMaskType } from "../../Enums";
import { PolygonMaskDraw } from "./PolygonMaskDraw";
import { PolygonMaskMove } from "./PolygonMaskMove";
import { PolygonMaskInline } from "./PolygonMaskInline";
import type { RecursivePartial } from "../../../../Types";
import type { ICoordinates } from "../../../../Core";
import { PolygonMaskLocalSvg } from "./PolygonMaskLocalSvg";
import type { IOptionLoader } from "../../../../Options/Interfaces/IOptionLoader";
export declare class PolygonMask implements IPolygonMask, IOptionLoader<IPolygonMask> {
    get inlineArrangement(): PolygonMaskInlineArrangement | keyof typeof PolygonMaskInlineArrangement | PolygonMaskInlineArrangementAlt;
    set inlineArrangement(value: PolygonMaskInlineArrangement | keyof typeof PolygonMaskInlineArrangement | PolygonMaskInlineArrangementAlt);
    draw: PolygonMaskDraw;
    enable: boolean;
    inline: PolygonMaskInline;
    move: PolygonMaskMove;
    position?: ICoordinates;
    scale: number;
    type: PolygonMaskType;
    url?: string;
    data?: string | PolygonMaskLocalSvg;
    constructor();
    load(data?: RecursivePartial<IPolygonMask>): void;
}
